﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using Infragistics.Controls;
using Infragistics.Windows.DataPresenter;
using System.Windows;

namespace DemoApplication
{
   public  class VisiblityConverter:IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
           // throw new NotImplementedException();
            SummaryRecordCellArea srca = value as SummaryRecordCellArea;
            SummaryRecord sr = srca.DataContext as SummaryRecord;

            if (sr.SummaryRecordHeaderResolved.ToString().Contains("Grand"))
            {
                return Visibility.Collapsed;
            }
            return Visibility.Visible;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
          //  throw new NotImplementedException();
            return value;
        }
    }
}
